View Issue Details

IDProjectCategoryView StatusLast Update
0002708Slicer4Core: Building (CMake, Superbuild)public2018-11-01 15:06
ReporterjcfrAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionSlicer 4.10.0 
Summary0002708: Gatekeeper - Mac OSX 10.8 - Can't open because it s from an unidentified developer
Description

See enclosed screenshot

See also:
http://osxdaily.com/2012/07/27/app-cant-be-opened-because-it-is-from-an-unidentified-developer/

https://developer.apple.com/resources/developer-id/

https://developer.apple.com/library/mac/#documentation/ToolsLanguages/Conceptual/OSXWorkflowGuide/DistributingApplicationsOutside/DistributingApplicationsOutside.html

https://developer.apple.com/library/mac/#documentation/Security/Conceptual/CodeSigningGuide/Introduction/Introduction.html

Workaround: CTRL + Click -> Open

TagsNo tags attached.

Relationships

related to 0002697 resolvedjcfr Associated publisher to windows NSIS installer - signing of package/application 
has duplicate 0004285 closedjcfr Can not open in macos sierra 10.12 
related to 0003965 closedjcfr Qt frameworks not installed correctly in Slicer.app to allow code signing 
related to 0004531 assignedjcfr Automated signing of Stable and Preview build artifacts 

Activities

2012-10-30 10:41

 

jcfr

jcfr

2012-11-07 05:57

administrator   ~0007095

See http://public.kitware.com/Bug/view.php?id=13532

jcfr

jcfr

2012-11-15 08:51

administrator   ~0007248

Considering that certificate has been ordered and should be available in the coming two business days.

I re-targeted the issue.

pieper

pieper

2013-02-18 09:02

administrator   ~0007982

I had understood that Kitware was planning to sign the packages.

pieper

pieper

2013-07-04 13:15

administrator   ~0008843

Did the certificate idea not work out as planned? I see that the associated cmake issue is still open.

It would be great if this could be solved for release 4.3.

jcfr

jcfr

2013-07-05 04:28

administrator   ~0008854

Looking back at email from March 22, my understanding was that Kevin was planning to work on this.

// ----------------------------------------------------------
From: Ron - Fri, Mar 22, 2013 at 9:54 AM

FYI. No action needed as far as I understand it.

-------- Original Message --------
Subject: slicer.org code signing certificates
Date: Fri, 22 Mar 2013 09:26:22 -0400
From: Michael Halle <mhalle@bwh.harvard.edu>
To: pieper@bwh.harvard.edu, "Kikinis@bwh.harvard.edu" <Kikinis@bwh.harvard.edu>
CC: KKAMMER@PARTNERS.ORG

Steve, Ron,

Kevin from Partners is in the process of getting the wildcard SSL
certificates for slicer.org. We will do the certificate stuff before we
consolidate registrars, since there doesn't seem to be a
Partners-favored registrar.

As a bonus, Kevin is working to get slicer.org a code signing
certificate. That means we create valid apps for the Mac and other
platforms.

Steve, if you see communication from your registrar about slicer.org or
na-mic.org, please either respond affirmatively or forward the email to
me and Kevin, who is CC'ed here.

Thanks.
--Mike

pieper

pieper

2013-07-05 04:31

administrator   ~0008855

I will send a followup question to Mike and Kevin to see if the certificates are available.

jcfr

jcfr

2018-11-01 15:05

administrator   ~0016187

Last edited: 2018-11-01 15:06

View 2 revisions

macOS stable 4.10 release is now signed. And instructions to sign future release have been added:

https://www.slicer.org/wiki/Documentation/Nightly/Developers/ReleaseProcess#Manually_sign_packages

https://www.slicer.org/wiki/Documentation/Nightly/Developers/ReleaseProcess#macOS_Code_Signing

Issue History

Date Modified Username Field Change
2012-10-30 10:38 jcfr New Issue
2012-10-30 10:38 jcfr Status new => assigned
2012-10-30 10:38 jcfr Assigned To => jcfr
2012-10-30 10:38 jcfr Target Version => Slicer 4.2.1
2012-10-30 10:41 jcfr File Added: Screen Shot 2012-10-30 at 2.40.34 PM.png
2012-10-30 10:43 jcfr Description Updated
2012-10-30 10:50 jcfr Description Updated
2012-10-30 10:55 jcfr Description Updated
2012-11-07 05:57 jcfr Summary Gate keeper - Mac OSX 10.8 - Can't open because it s from an unidentified developer => Gatekeeper - Mac OSX 10.8 - Can't open because it s from an unidentified developer
2012-11-07 05:57 jcfr Note Added: 0007095
2012-11-15 08:50 jcfr Target Version Slicer 4.2.1 => Slicer 4.2.2
2012-11-15 08:51 jcfr Note Added: 0007248
2012-12-06 14:38 jcfr Target Version Slicer 4.2.2 => Slicer 4.2.3
2013-02-12 09:37 jcfr Target Version Slicer 4.2.3 => Slicer 4.3.0
2013-02-15 05:38 jcfr Relationship added related to 0002696
2013-02-15 05:39 jcfr Relationship deleted related to 0002696
2013-02-15 05:39 jcfr Relationship added related to 0002697
2013-02-18 09:02 pieper Note Added: 0007982
2013-07-04 13:15 pieper Note Added: 0008843
2013-07-05 04:28 jcfr Note Added: 0008854
2013-07-05 04:28 jcfr Status assigned => feedback
2013-07-05 04:31 pieper Note Added: 0008855
2013-08-19 06:59 jcfr Status feedback => assigned
2013-08-19 06:59 jcfr Assigned To jcfr => mhalle
2013-08-30 12:16 jcfr Target Version Slicer 4.3.0 => Slicer 4.4.0
2014-05-13 20:27 jcfr Assigned To mhalle => jcfr
2014-05-13 20:28 jcfr Status assigned => acknowledged
2014-07-29 10:09 jcfr Target Version Slicer 4.4.0 => Slicer 4.5.0-1
2015-09-17 12:52 jcfr Target Version Slicer 4.5.0-1 =>
2016-01-05 09:16 jcfr Relationship added related to 0003965
2016-10-21 12:05 inorton Relationship added has duplicate 0004285
2018-03-31 01:01 jcfr Relationship added related to 0004531
2018-11-01 15:05 jcfr Status acknowledged => resolved
2018-11-01 15:05 jcfr Resolution open => fixed
2018-11-01 15:05 jcfr Fixed in Version => Slicer 4.10.0
2018-11-01 15:05 jcfr Note Added: 0016187
2018-11-01 15:06 jcfr Note Edited: 0016187 View Revisions